Summary:       GnomeICU is a clone of Mirabilis' popular ICQ written with GTK.
Name:          gnomeicu
Version:       0.96
Release:       1
License:       GPL
Group:         Applications/Communications
URL:           http://gnomeicu.gdev.net/
Source:        ftp://gnomeicu.gdev.net/pub/gnomeicu/%{name}-%{version}.tar.gz
Requires:      gnome-libs >= 1.2.0
Requires:      ORBit >= 0.4.0
Requires:      gtk+ >= 1.2.0
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires:  gnome-libs-devel, gnome-core-devel
BuildRequires:  gdk-pixbuf-devel >= 0.9.0

%description
GnomeICU is a clone of Mirabilis' popular ICQ written with GTK.
The original source was taken from Matt Smith's mICQ.  This is ment as
a replacement for the JavaICQ, which is slow and buggy.  If you would
like to contribute, please contact Jeremy Wise <jwise@pathwaynet.com>.


%prep
%setup -q

# seems as if xss support is broken on alpha :-(
%ifarch alpha
  ARCH_FLAGS="--host=alpha-redhat-linux --without-xss"
%endif

if [ ! -f configure ]; then
	CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $ARCH_FLAGS \
	--prefix=%{_prefix} --sysconfdir=%{_sysconfdir}
else
	CFLAGS="$RPM_OPT_FLAGS" ./configure $ARCH_FLAGS \
	--prefix=%{_prefix} --sysconfdir=%{_sysconfdir}
fi

%build

if [ "%_smp_mflags" != "" ]; then
	make %{_smp_mflags} "MAKE=make %{_smp_mflags}"
else
	make
fi

%install
make prefix=$RPM_BUILD_ROOT%{_prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir}  install

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_sysconfdir}/CORBA/servers/GnomeICU.gnorba
%config %{_sysconfdir}/sound/events/GnomeICU.soundlist
%{_bindir}/*
%{_datadir}/applets/Network/*
%{_datadir}/gnome/apps/Internet/*
%{_datadir}/pixmaps/*
%{_datadir}/sounds/gnomeicu
%{_datadir}/gnome/help/gnomeicu
%{_datadir}/gnomeicu

###################################################################
%changelog
* Fri Sep 10 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added support for SMP builds

* Sun Jul 25 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added online documentation
- added locale files

* Sat Jul 10 1999 Herbert Valerio Riedel <hvr@gnu.org>
- no need to define %{name} and %{version} explicitly (thanks to 
  Graham Cole <dybbuk@earthlink.net> for this hint)

* Tue Jun 29 1999 Herbert Valerio Riedel <hvr@gnu.org>
- first try at an official RPM
